### Method

# EDataServer Source equal

since: 3.6

#### Declaration [src]

    gboolean
    e_source_equal (
      ESource* source1,
      ESource* source2
    )

#### Description [src]

Checks two `ESource` instances for equality. `ESource` instances are equal if their unique identifier strings are equal.

Available since: 3.6

#### Parameters

`source2`

  Type: `ESource`

  The second `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `source1` and `source2` are equal.